> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# create material



## OpenAPI

````yaml https://integration.teceo.co/aos post /v1/materials
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/materials:
    post:
      tags:
        - 'Materials:'
      summary: create material
      operationId: MaterialController_createMaterial_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMaterialDTO'
      responses:
        '200':
          description: create material
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MaterialDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
        '409':
          description: >-
            a material with the informed integrationCode already exists. the
            body carries code api.exception.material.alreadyExists
      security:
        - ApiKey: []
components:
  schemas:
    CreateMaterialDTO:
      type: object
      properties:
        name:
          type: string
          maxLength: 255
          description: material name
        integrationCode:
          type: string
          maxLength: 255
          description: unique material integration code
      required:
        - name
        - integrationCode
    MaterialDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        integrationCode:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - name
        - integrationCode
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.